footer {
    background-color: var(--main-green);
}

footer * {
    color: var(--white);
}

footer section.footer-container {
    max-width: 1280px;
    width: 100%;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    padding: 25px 15px 31px;
}

footer section.footer-container > div {
    border-left: solid 1px var(--white);
    display: grid;
    place-items: center;
    place-content: center;
    gap: 1em;
}

footer section.footer-container > div:last-of-type {
    border-right: solid 1px var(--white);
    position: relative;
}

footer section.footer-container > div#socials section.socials {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px;
}

footer #menu {
    display: flex;
    justify-content: stretch;
    align-items: stretch;
}

footer #menu, footer #menu * {
    height: 100%;
    width: 100%;
}

footer #menu ul {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    gap: 13px;
}

footer #menu ul li, footer #menu ul a {
    font-size: 16px;
    font-weight: 400;
    height: auto;
}

footer #contact * {
    font-size: 13px;
    display: grid;
    place-items: center;
    place-content: center;
    height: auto;
    margin: 0;
}

footer #contact *:not(img) {
    width: 100%;
}

footer #crokis {
    position: absolute;
    bottom: .5em;
}

footer #crokis * {
    font-size: 16px;
    font-weight: 400;
    height: auto;
}


@media(max-width: 1280px) {

    footer section.footer-container {
        grid-template-columns: 1fr 1fr;
    }

    footer section.footer-container > div:first-of-type, footer section.footer-container > div:nth-of-type(2) {
        padding: 0 0 1.5em;
    }

    footer #contact {
        border-right: solid 1px var(--white);
    }
}


@media(max-width: 680px) {

    footer section.footer-container {
        grid-template-columns: 1fr;
        gap: 2em;
    }

    footer section.footer-container > div:first-of-type, footer section.footer-container > div:nth-of-type(2) {
        padding: 0;
    }

    footer section.footer-container > div {
        border: unset !important;
    }

    footer #crokis {
        position: relative;
        bottom: 0;
    }

    footer section.footer-container > div#socials section.socials {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

@media(max-width: 330px) {
    footer section.footer-container > div#socials section.socials {
        grid-template-columns: 1fr 1fr;
    }
}